## org.biojava.bridge.Biocorba.Seqcore
Class PrimarySeqImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.AnonymousSeqImpl
                  |
                  +--org.biojava.bridge.Biocorba.Seqcore.PrimarySeqImpl

Direct Known Subclasses:
  SeqImpl

public class PrimarySeqImpl
extends AnonymousSeqImpl
implements _PrimarySeq_Operations

Implements a CORBA PrimarySeq object by adapting a biojava SymbolList.

Constructor Summary
`PrimarySeqImpl(SymbolList symList)`
`PrimarySeqImpl(SymbolList symList, java.lang.String id)`
`PrimarySeqImpl(SymbolList symList, java.lang.String displayID, java.lang.String primaryID, java.lang.String accessionNumber)`

Method Summary
`java.lang.String` `accession_number(org.omg.CORBA.portable.ObjectImpl primarySeq)`
`java.lang.String` `display_id(org.omg.CORBA.portable.ObjectImpl primarySeq)`
`java.lang.String` `primary_id(org.omg.CORBA.portable.ObjectImpl primarySeq)`
`int` `version(org.omg.CORBA.portable.ObjectImpl primarySeq)`

Methods inherited from class org.biojava.bridge.Biocorba.Seqcore.AnonymousSeqImpl
`get_seq, get_subseq, getSymbolList, length, max_request_length, type`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimarySeqImpl

    public PrimarySeqImpl(SymbolList symList,
                          java.lang.String displayID,
                          java.lang.String primaryID,
                          java.lang.String accessionNumber)
                   throws IllegalAlphabetException

### PrimarySeqImpl

    public PrimarySeqImpl(SymbolList symList,
                          java.lang.String id)
                   throws IllegalAlphabetException

### PrimarySeqImpl

    public PrimarySeqImpl(SymbolList symList)
                   throws IllegalAlphabetException

Method Detail

### display_id

    public java.lang.String display_id(org.omg.CORBA.portable.ObjectImpl primarySeq)

  Specified by:
    display_id in interface _PrimarySeq_Operations

### primary_id

    public java.lang.String primary_id(org.omg.CORBA.portable.ObjectImpl primarySeq)

  Specified by:
    primary_id in interface _PrimarySeq_Operations

### accession_number

    public java.lang.String accession_number(org.omg.CORBA.portable.ObjectImpl primarySeq)

  Specified by:
    accession_number in interface _PrimarySeq_Operations

### version

    public int version(org.omg.CORBA.portable.ObjectImpl primarySeq)

  Specified by:
    version in interface _PrimarySeq_Operations